---

# TCU filesystem is read only by default
- name: change filesystem to read/write
  command: mount -o rw,remount /
  when: read_only_filesystem

- name: create script directory
  file:
    dest: "{{ script_dir }}"
    state: directory

- name: templatize rmnet_up
  template:
    src: rmnet_up.sh.j2
    dest: "{{ script_dir }}/rmnet_up.sh"
    mode: 0755

- name: templatize rmnet_down
  template:
    src: rmnet_down.sh.j2
    dest: "{{ script_dir }}/rmnet_down.sh"
    mode: 0755

- name: change filesystem back to read only
  command: mount -o ro,remount /
  when: read_only_filesystem
